/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 */
package blanco.sample.batchprocess;

/**
 * バッチ処理において例外が発生した際に利用されます。blancoBatchProcessの例外です。
 */
public class BlancoBatchProcessException extends RuntimeException {
    /**
     * 詳細メッセージを持たない例外を構築します。
     */
    public BlancoBatchProcessException() {
        super();
    }

    /**
     * 指定された詳細メッセージを持つ例外を構築します。
     *
     * @param message 詳細メッセージ。
     */
    public BlancoBatchProcessException(final String message) {
        super(message);
    }

    /**
     * 指定された詳細メッセージおよび原因を指定して例外を構築します。
     *
     * @param message 詳細メッセージ。
     * @param cause 原因。
     */
    public BlancoBatchProcessException(final String message, final Throwable cause) {
        super(message, cause);
    }

    /**
     * 原因を指定して例外を構築します。
     *
     * @param cause 原因。
     */
    public BlancoBatchProcessException(final Throwable cause) {
        super(cause);
    }
}
